Question about exception

Question about exception

am 11.12.2005 23:58:45 von Marg

Hi,

I'm making this BASH script to install a ful web system in Linux:

-----------------------------------------------------------
#!/bin/bash

#
# Uncompress and pre-configure Apache
#
file="apache_1.3.34.tar.gz"

if [ ! -f "$file" ] ;
then
echo "file '$file' not found" >&2
exit 1
fi

tar -zxpvf $file
base_apache="${file%.tar.gz}"
cd $base_apache
../configure --prefix=/usr/local/httpd
cd ..

#
# Install MySQL
#
file="mysql-5.0.15.tar.gz"

if [ ! -f "$file" ] ;
then
echo "file '$file' not found" >&2
exit 1
fi

tar -zxpvf $file
base_mysql="${file%.tar.gz}"
cd $base_mysql
../configure --prefix=/usr/local/mysql || make || make install
cd ..


#
# Install PostgreSQL
#
file="postgresql-8.1.0.bz2"

if [ ! -f "$file" ] ;
then
echo "file '$file' not found" >&2
exit 1
fi

# and so forth...
-----------------------------------------------------------

I'd like to abort the whole script, if some package compile aborts with
an error.
For example, if there is an error compiling MySQL, i don't want the
script to follow to PostgreSQL.
I want it to abort with an error.

How can i do this ?

Any help would be apreciated.

Warm regards,
MARG
-
To unsubscribe from this list: send the line "unsubscribe linux-admin" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html

Re: Question about exception

am 12.12.2005 02:06:06 von Glynn Clements

MARG wrote:

> I'm making this BASH script to install a ful web system in Linux:

> I'd like to abort the whole script, if some package compile aborts with
> an error.
> For example, if there is an error compiling MySQL, i don't want the
> script to follow to PostgreSQL.
> I want it to abort with an error.
>
> How can i do this ?

( ./configure ... && make && make install ) || exit 1

--
Glynn Clements
-
To unsubscribe from this list: send the line "unsubscribe linux-admin" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html

Re: Question about exception

am 12.12.2005 18:56:27 von Jeff Woods

At 22:58 +0000 12/11/2005, MARG wrote:
>#!/bin/bash

#!/bin/bash -e
or
set -e
or
set -o errexit
and (if desired) disable by
set +e
or
set +o errexit

All three toggle the same "errexit" option.

--
Jeff Woods

-
To unsubscribe from this list: send the line "unsubscribe linux-admin" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at http://vger.kernel.org/majordomo-info.html